# task::get-assembly

Returns the Assembly from which the specified task was loaded.

### Usage

`Assembly task::get-assembly(name)`

### Parameters

Name | Type | Description
--- | --- | ---
name | string | The name of the task to get the Assembly of.

### Return Value

The Assembly from which the specified task was loaded.

### Exceptions

The function will fail in any of the following circumstances:

- Task name is not available.

### Requirements

Assembly: NAnt.Core (0.92.4543.0)